Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/guide_loc_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/guide_loc_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/guide_loc_mod.F90	(revision 5116)
@@ -6,7 +6,7 @@
 !=======================================================================
 
-  USE getparam, only: ini_getparam, fin_getparam, getpar
+  USE getparam, ONLY: ini_getparam, fin_getparam, getpar
   USE Write_Field_loc
-  use netcdf, only: nf90_nowrite, nf90_open, nf90_inq_varid, nf90_close, &
+  use netcdf, ONLY: nf90_nowrite, nf90_open, nf90_inq_varid, nf90_close, &
           nf90_inq_dimid, nf90_inquire_dimension, nf90_inq_dimid, &
           nf90_inquire_dimension, nf90_enddef, nf90_def_dim, nf90_put_var, nf90_noerr, nf90_close, nf90_inq_varid, &
@@ -14,5 +14,5 @@
           nf90_create, nf90_def_var, nf90_open
   USE parallel_lmdz
-  USE pres2lev_mod, only: pres2lev
+  USE pres2lev_mod, ONLY: pres2lev
 
   IMPLICIT NONE
@@ -127,5 +127,5 @@
     IF (iguide_sav>0) THEN
        iguide_sav=day_step/iguide_sav
-    ELSE if (iguide_sav == 0) then
+    ELSE if (iguide_sav == 0) THEN
        iguide_sav = huge(0)
     ELSE
@@ -173,6 +173,6 @@
 ! ---------------------------------------------
     ncidpl=-99
-    if (guide_plevs==1) then
-       if (ncidpl==-99) then
+    if (guide_plevs==1) THEN
+       if (ncidpl==-99) THEN
           rcod=nf90_open('apbp.nc',nf90_nowrite, ncidpl)
           if (rcod/=nf90_noerr) THEN
@@ -181,6 +181,6 @@
           endif
        endif
-    elseif (guide_plevs==2) then
-       if (ncidpl==-99) then
+    elseif (guide_plevs==2) THEN
+       if (ncidpl==-99) THEN
           rcod=nf90_open('P.nc',nf90_nowrite,ncidpl)
           if (rcod/=nf90_noerr) THEN
@@ -190,6 +190,6 @@
        endif
 
-    elseif (guide_u) then
-       if (ncidpl==-99) then
+    elseif (guide_u) THEN
+       if (ncidpl==-99) THEN
           rcod=nf90_open('u.nc',nf90_nowrite,ncidpl)
           if (rcod/=nf90_noerr) THEN
@@ -201,6 +201,6 @@
 
 
-    elseif (guide_v) then
-       if (ncidpl==-99) then
+    elseif (guide_v) THEN
+       if (ncidpl==-99) THEN
           rcod=nf90_open('v.nc',nf90_nowrite,ncidpl)
           if (rcod/=nf90_noerr) THEN
@@ -211,6 +211,6 @@
 
     
-    elseif (guide_T) then
-       if (ncidpl==-99) then
+    elseif (guide_T) THEN
+       if (ncidpl==-99) THEN
           rcod=nf90_open('T.nc',nf90_nowrite,ncidpl)
           if (rcod/=nf90_noerr) THEN
@@ -222,6 +222,6 @@
 
 
-    elseif (guide_Q) then
-       if (ncidpl==-99) then
+    elseif (guide_Q) THEN
+       if (ncidpl==-99) THEN
           rcod=nf90_open('hur.nc',nf90_nowrite, ncidpl)
           if (rcod/=nf90_noerr) THEN
@@ -240,5 +240,5 @@
     ENDIF
     error=nf90_inquire_dimension(ncidpl,rid,len=nlevnc)
-    write(*,*)trim(modname)//' : number of vertical levels nlevnc', nlevnc
+    WRITE(*,*)trim(modname)//' : number of vertical levels nlevnc', nlevnc
     rcod = nf90_close(ncidpl)
 
@@ -358,6 +358,6 @@
 !=======================================================================
   SUBROUTINE guide_main(itau,ucov,vcov,teta,q,masse,ps)
-    use exner_hyb_loc_m, only: exner_hyb_loc
-    use exner_milieu_loc_m, only: exner_milieu_loc
+    use exner_hyb_loc_m, ONLY: exner_hyb_loc
+    use exner_milieu_loc_m, ONLY: exner_milieu_loc
     USE parallel_lmdz
     USE control_mod
@@ -451,5 +451,5 @@
         CALL tau2alpha(1, iip1, jjb_u, jje_u, factt, tau_min_Q, tau_max_Q, alpha_Q)
 ! correction de rappel dans couche limite
-        if (guide_BL) then
+        if (guide_BL) THEN
              alpha_pcor(:)=1.
         else
@@ -499,5 +499,5 @@
       IF (reste==0.) THEN
           IF (itau_test==itau) THEN
-            write(*,*)trim(modname)//' second pass in advreel at itau=',&
+            WRITE(*,*)trim(modname)//' second pass in advreel at itau=',&
             itau
             CALL abort_gcm("guide_loc_lod","stopped",1)
@@ -514,6 +514,6 @@
               step_rea=step_rea+1
               itau_test=itau
-              if (is_master) then
-                write(*,*)trim(modname)//' Reading nudging files, step ',&
+              if (is_master) THEN
+                WRITE(*,*)trim(modname)//' Reading nudging files, step ',&
                     step_rea,'after ',count_no_rea,' skips'
               endif
@@ -567,5 +567,5 @@
 
 !$OMP BARRIER
-      if (pressure_exner) then
+      if (pressure_exner) THEN
       CALL exner_hyb_loc( ijnb_u, ps, p, pks, pk)
       else
@@ -588,6 +588,6 @@
     ENDIF
     
-    if (guide_u) then
-        if (guide_add) then
+    if (guide_u) THEN
+        if (guide_add) THEN
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
           DO l=1,llm
@@ -620,6 +620,6 @@
     endif
 
-    if (guide_T) then
-        if (guide_add) then
+    if (guide_T) THEN
+        if (guide_add) THEN
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
           DO l=1,llm
@@ -641,6 +641,6 @@
     endif
 
-    if (guide_P) then
-        if (guide_add) then
+    if (guide_P) THEN
+        if (guide_add) THEN
 !$OMP MASTER
             f_addu(ijbu:ijeu,1)=(1.-tau)*psgui1(ijbu:ijeu)+tau*psgui2(ijbu:ijeu)
@@ -665,6 +665,6 @@
     endif
 
-    if (guide_Q) then
-        if (guide_add) then
+    if (guide_Q) THEN
+        if (guide_add) THEN
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
           DO l=1,llm
@@ -687,6 +687,6 @@
     endif
 
-    if (guide_v) then
-        if (guide_add) then
+    if (guide_v) THEN
+        if (guide_add) THEN
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
           DO l=1,llm
@@ -911,6 +911,6 @@
 !=======================================================================
   SUBROUTINE guide_interp(psi,teta)
-    use exner_hyb_loc_m, only: exner_hyb_loc
-    use exner_milieu_loc_m, only: exner_milieu_loc
+    use exner_hyb_loc_m, ONLY: exner_hyb_loc
+    use exner_milieu_loc_m, ONLY: exner_milieu_loc
   USE parallel_lmdz
   USE mod_hallo
@@ -952,5 +952,5 @@
 !$OMP THREADPRIVATE(Req)
     
-    if (is_master) write(*,*)trim(modname)//': interpolate nudging variables'
+    if (is_master) WRITE(*,*)trim(modname)//': interpolate nudging variables'
 ! -----------------------------------------------------------------
 ! Calcul des niveaux de pression champs guidage (pour T et Q)
@@ -994,38 +994,38 @@
     ENDIF   
 
-    if (first) then
+    if (first) THEN
         first=.FALSE.
 !$OMP MASTER
-        write(*,*)trim(modname)//' : check vertical level order'
-        write(*,*)trim(modname)//' LMDZ :'
+        WRITE(*,*)trim(modname)//' : check vertical level order'
+        WRITE(*,*)trim(modname)//' LMDZ :'
         do l=1,llm
-          write(*,*)trim(modname)//' PL(',l,')=',(ap(l)+ap(l+1))/2. &
+          WRITE(*,*)trim(modname)//' PL(',l,')=',(ap(l)+ap(l+1))/2. &
                   +psi(1,jjeu)*(bp(l)+bp(l+1))/2.
         enddo
-        write(*,*)trim(modname)//' nudging file :'
+        WRITE(*,*)trim(modname)//' nudging file :'
         SELECT CASE (guide_plevs)
         CASE (0) 
             do l=1,nlevnc
-              write(*,*)trim(modname)//' PL(',l,')=',plnc2(1,jjbu,l)
+              WRITE(*,*)trim(modname)//' PL(',l,')=',plnc2(1,jjbu,l)
             enddo
         CASE (1)
             DO l=1,nlevnc
-              write(*,*)trim(modname)//' PL(',l,')=',&
+              WRITE(*,*)trim(modname)//' PL(',l,')=',&
                         apnc(l)+bpnc(l)*psnat2(1,jjbu)
             ENDDO
         CASE (2)
             do l=1,nlevnc
-              write(*,*)trim(modname)//' PL(',l,')=',pnat2(1,jjbu,l)
+              WRITE(*,*)trim(modname)//' PL(',l,')=',pnat2(1,jjbu,l)
             enddo
         END SELECT
-        write(*,*)trim(modname)//' invert ordering: invert_p=',invert_p
-        if (guide_u) then
+        WRITE(*,*)trim(modname)//' invert ordering: invert_p=',invert_p
+        if (guide_u) THEN
             do l=1,nlevnc
-              write(*,*)trim(modname)//' U(',l,')=',unat2(1,jjbu,l)
+              WRITE(*,*)trim(modname)//' U(',l,')=',unat2(1,jjbu,l)
             enddo
         endif
-        if (guide_T) then
+        if (guide_T) THEN
             do l=1,nlevnc
-              write(*,*)trim(modname)//' T(',l,')=',tnat2(1,jjbu,l)
+              WRITE(*,*)trim(modname)//' T(',l,')=',tnat2(1,jjbu,l)
             enddo
         endif
@@ -1034,7 +1034,7 @@
 
     if (guide_plevs /= 1 .or. guide_t .and. .not. guide_teta &
-         .or. guide_q .and. guide_hr) then
+         .or. guide_q .and. guide_hr) THEN
        CALL pression_loc( ijnb_u, ap, bp, psi, p )
-       if (disvert_type==1) then
+       if (disvert_type==1) THEN
           CALL exner_hyb_loc(ijnb_u,psi,p,pks,pk)
        else ! we assume that we are in the disvert_type==2 case
@@ -1110,5 +1110,5 @@
 ! Conversion en variables gcm (ucov, vcov...)
 ! -----------------------------------------------------------------
-    if (guide_P) then
+    if (guide_P) THEN
 !$OMP MASTER
         do j=jjbu,jjeu
@@ -1177,5 +1177,5 @@
                 tgui2(j*iip1,l)=tgui2((j-1)*iip1+1,l)    
             enddo
-            if (pole_nord) then
+            if (pole_nord) THEN
               do i=1,iip1
                 tgui1(i,l)=tgui1(1,l)
@@ -1183,5 +1183,5 @@
               enddo
             endif
-            if (pole_sud) then
+            if (pole_sud) THEN
               do i=1,iip1
                 tgui1(ip1jm+i,l)=tgui1(ip1jm+1,l) 
@@ -1239,5 +1239,5 @@
                 qgui2(j*iip1,l)=qgui2((j-1)*iip1+1,l)    
             enddo
-            if (pole_nord) then
+            if (pole_nord) THEN
               do i=1,iip1
                 qgui1(i,l)=qgui1(1,l)
@@ -1245,5 +1245,5 @@
               enddo
             endif
-            if (pole_sud) then
+            if (pole_sud) THEN
               do i=1,iip1
                 qgui1(ip1jm+i,l)=qgui1(ip1jm+1,l) 
@@ -1317,5 +1317,5 @@
                 ugui2(j*iip1,l)=ugui2((j-1)*iip1+1,l)    
             enddo
-            if (pole_nord) then
+            if (pole_nord) THEN
               do i=1,iip1
                 ugui1(i,l)=0.
@@ -1323,5 +1323,5 @@
               enddo
             endif
-            if (pole_sud) then
+            if (pole_sud) THEN
               do i=1,iip1
                 ugui1(ip1jm+i,l)=0.
@@ -1403,6 +1403,6 @@
 ! Calcul des constantes de rappel alpha (=1/tau)
 
-    use comconst_mod, only: pi
-    use serre_mod, only: clat, clon, grossismx, grossismy
+    use comconst_mod, ONLY: pi
+    use serre_mod, ONLY: clat, clon, grossismx, grossismy
     
     IMPLICIT NONE
@@ -1431,5 +1431,5 @@
     real alphamin,alphamax,xi
     integer i,j,ilon,ilat
-    character(len=20),parameter :: modname="tau2alpha"
+    CHARACTER(LEN=20),parameter :: modname="tau2alpha"
 
 
@@ -1444,11 +1444,11 @@
             do j=jjb,jje
                 do i=1,pim
-                    if (typ==2) then
+                    if (typ==2) THEN
                        zlat=rlatu(j)*180./pi
                        zlon=rlonu(i)*180./pi
-                    elseif (typ==1) then
+                    elseif (typ==1) THEN
                        zlat=rlatu(j)*180./pi
                        zlon=rlonv(i)*180./pi
-                    elseif (typ==3) then
+                    elseif (typ==3) THEN
                        zlat=rlatv(j)*180./pi
                        zlon=rlonv(i)*180./pi
@@ -1519,20 +1519,20 @@
             enddo
             ! Calcul de gamma
-            if (abs(grossismx-1.)<0.1.or.abs(grossismy-1.)<0.1) then
-              write(*,*)trim(modname)//' ATTENTION modele peu zoome'
-              write(*,*)trim(modname)//' ATTENTION on prend une constante de guidage cste'
+            if (abs(grossismx-1.)<0.1.or.abs(grossismy-1.)<0.1) THEN
+              WRITE(*,*)trim(modname)//' ATTENTION modele peu zoome'
+              WRITE(*,*)trim(modname)//' ATTENTION on prend une constante de guidage cste'
               gamma=0.
             else
               gamma=(dxdy_max-2.*dxdy_min)/(dxdy_max-dxdy_min)
-              write(*,*)trim(modname)//' gamma=',gamma
-              if (gamma<1.e-5) then
-                write(*,*)trim(modname)//' gamma =',gamma,'<1e-5'
+              WRITE(*,*)trim(modname)//' gamma=',gamma
+              if (gamma<1.e-5) THEN
+                WRITE(*,*)trim(modname)//' gamma =',gamma,'<1e-5'
                 CALL abort_gcm("guide_loc_mod","stopped",1)
               endif
               gamma=log(0.5)/log(gamma)
-              if (gamma4) then 
+              if (gamma4) THEN
                 gamma=min(gamma,4.)
               endif
-              write(*,*)trim(modname)//' gamma=',gamma
+              WRITE(*,*)trim(modname)//' gamma=',gamma
             endif
         ENDIF !first
@@ -1540,15 +1540,15 @@
         do j=jjb,jje
             do i=1,pim
-                if (typ==1) then
+                if (typ==1) THEN
                    dxdy_=dxdys(i,j)
                    zlat=rlatu(j)*180./pi
-                elseif (typ==2) then
+                elseif (typ==2) THEN
                    dxdy_=dxdyu(i,j)
                    zlat=rlatu(j)*180./pi
-                elseif (typ==3) then
+                elseif (typ==3) THEN
                    dxdy_=dxdyv(i,j)
                    zlat=rlatv(j)*180./pi
                 endif
-                if (abs(grossismx-1.)<0.1.or.abs(grossismy-1.)<0.1) then
+                if (abs(grossismx-1.)<0.1.or.abs(grossismy-1.)<0.1) THEN
                 ! pour une grille reguliere, xi=xxx**0=1 -> alpha=alphamin
                     alpha(i,j)=alphamin
@@ -1556,5 +1556,5 @@
                     xi=((dxdy_max-dxdy_)/(dxdy_max-dxdy_min))**gamma
                     xi=min(xi,1.)
-                    if(lat_min_g<=zlat .and. zlat<=lat_max_g) then
+                    IF(lat_min_g<=zlat .and. zlat<=lat_max_g) THEN
                         alpha(i,j)=xi*alphamin+(1.-xi)*alphamax
                     else
@@ -1596,10 +1596,10 @@
 ! Premier appel: initialisation de la lecture des fichiers
 ! -----------------------------------------------------------------
-    if (first) then
+    if (first) THEN
          ncidpl=-99
-         write(*,*) trim(modname)//': opening nudging files '
+         WRITE(*,*) trim(modname)//': opening nudging files '
 ! Ap et Bp si Niveaux de pression hybrides
-         if (guide_plevs==1) then
-             write(*,*) trim(modname)//' Reading nudging on model levels'
+         if (guide_plevs==1) THEN
+             WRITE(*,*) trim(modname)//' Reading nudging on model levels'
              rcode = nf90_open('apbp.nc', nf90_nowrite, ncidpl)
              IF (rcode/=nf90_noerr) THEN
@@ -1617,9 +1617,9 @@
               CALL abort_gcm(modname,abort_message,1)
              ENDIF
-             write(*,*) trim(modname)//' ncidpl,varidap',ncidpl,varidap
+             WRITE(*,*) trim(modname)//' ncidpl,varidap',ncidpl,varidap
          endif
          
 ! Pression si guidage sur niveaux P variables
-         if (guide_plevs==2) then
+         if (guide_plevs==2) THEN
              rcode = nf90_open('P.nc', nf90_nowrite, ncidp)
              IF (rcode/=nf90_noerr) THEN
@@ -1632,10 +1632,10 @@
               CALL abort_gcm(modname,abort_message,1)
              ENDIF
-             write(*,*) trim(modname)//' ncidp,varidp',ncidp,varidp
+             WRITE(*,*) trim(modname)//' ncidp,varidp',ncidp,varidp
              if (ncidpl==-99) ncidpl=ncidp
          endif
 
 ! Vent zonal
-         if (guide_u) then
+         if (guide_u) THEN
              rcode = nf90_open('u.nc', nf90_nowrite, ncidu)
              IF (rcode/=nf90_noerr) THEN
@@ -1648,5 +1648,5 @@
               CALL abort_gcm(modname,abort_message,1)
              ENDIF
-             write(*,*) trim(modname)//' ncidu,varidu',ncidu,varidu
+             WRITE(*,*) trim(modname)//' ncidu,varidu',ncidu,varidu
              if (ncidpl==-99) ncidpl=ncidu
 
@@ -1669,5 +1669,5 @@
 
 ! Vent meridien
-         if (guide_v) then
+         if (guide_v) THEN
              rcode = nf90_open('v.nc', nf90_nowrite, ncidv)
              IF (rcode/=nf90_noerr) THEN
@@ -1680,5 +1680,5 @@
               CALL abort_gcm(modname,abort_message,1)
              ENDIF
-             write(*,*) trim(modname)//' ncidv,varidv',ncidv,varidv
+             WRITE(*,*) trim(modname)//' ncidv,varidv',ncidv,varidv
              if (ncidpl==-99) ncidpl=ncidv
              
@@ -1702,5 +1702,5 @@
 
 ! Temperature
-         if (guide_T) then
+         if (guide_T) THEN
              rcode = nf90_open('T.nc', nf90_nowrite, ncidt)
              IF (rcode/=nf90_noerr) THEN
@@ -1713,5 +1713,5 @@
               CALL abort_gcm(modname,abort_message,1)
              ENDIF
-             write(*,*) trim(modname)//' ncidT,varidT',ncidt,varidt
+             WRITE(*,*) trim(modname)//' ncidT,varidT',ncidt,varidt
              if (ncidpl==-99) ncidpl=ncidt
 
@@ -1733,5 +1733,5 @@
 
 ! Humidite
-         if (guide_Q) then
+         if (guide_Q) THEN
              rcode = nf90_open('hur.nc', nf90_nowrite, ncidQ)
              IF (rcode/=nf90_noerr) THEN
@@ -1744,5 +1744,5 @@
               CALL abort_gcm(modname,abort_message,1)
              ENDIF
-             write(*,*) trim(modname)//' ncidQ,varidQ',ncidQ,varidQ
+             WRITE(*,*) trim(modname)//' ncidQ,varidQ',ncidQ,varidQ
              if (ncidpl==-99) ncidpl=ncidQ
 
@@ -1765,5 +1765,5 @@
          endif
 ! Pression de surface
-         if ((guide_P).OR.(guide_plevs==1)) then
+         if ((guide_P).OR.(guide_plevs==1)) THEN
              rcode = nf90_open('ps.nc', nf90_nowrite, ncidps)
              IF (rcode/=nf90_noerr) THEN
@@ -1776,11 +1776,11 @@
               CALL abort_gcm(modname,abort_message,1)
              ENDIF
-             write(*,*) trim(modname)//' ncidps,varidps',ncidps,varidps
+             WRITE(*,*) trim(modname)//' ncidps,varidps',ncidps,varidps
          endif
 ! Coordonnee verticale
-         if (guide_plevs==0) then
+         if (guide_plevs==0) THEN
               rcode = nf90_inq_varid(ncidpl, 'LEVEL', varidpl)
               IF (rcode/=0) rcode = nf90_inq_varid(ncidpl, 'PRESSURE', varidpl)
-              write(*,*) trim(modname)//' ncidpl,varidpl',ncidpl,varidpl
+              WRITE(*,*) trim(modname)//' ncidpl,varidpl',ncidpl,varidpl
          endif
 ! Coefs ap, bp pour calcul de la pression aux differents niveaux
@@ -1814,5 +1814,5 @@
      IF (invert_y) start(2)=jjp1-jje_u+1
 ! Pression 
-     if (guide_plevs==2) then
+     if (guide_plevs==2) THEN
          status=nf90_put_var(ncidp,varidp,pnat2,start,count)
          IF (invert_y) THEN
@@ -1824,5 +1824,5 @@
 
 !  Vent zonal
-     if (guide_u) then
+     if (guide_u) THEN
          status=nf90_put_var(ncidu,varidu,unat2,start,count)
          IF (invert_y) THEN
@@ -1836,5 +1836,5 @@
 
 !  Temperature
-     if (guide_T) then
+     if (guide_T) THEN
          status=nf90_put_var(ncidt,varidt,tnat2,start,count)
          IF (invert_y) THEN
@@ -1846,5 +1846,5 @@
 
 !  Humidite
-     if (guide_Q) then
+     if (guide_Q) THEN
          status=nf90_put_var(ncidQ,varidQ,qnat2,start,count)
          IF (invert_y) THEN
@@ -1857,5 +1857,5 @@
 
 !  Vent meridien
-     if (guide_v) then
+     if (guide_v) THEN
          start(2)=jjb_v
          count(2)=jjnb_v
@@ -1871,5 +1871,5 @@
 
 !  Pression de surface
-     if ((guide_P).OR.(guide_plevs==1))  then
+     if ((guide_P).OR.(guide_plevs==1))  THEN
          start(2)=jjb_u
          start(3)=timestep
@@ -1918,10 +1918,10 @@
 ! Premier appel: initialisation de la lecture des fichiers
 ! -----------------------------------------------------------------
-    if (first) then
+    if (first) THEN
          ncidpl=-99
-         write(*,*)trim(modname)//' : opening nudging files '
+         WRITE(*,*)trim(modname)//' : opening nudging files '
 ! Ap et Bp si niveaux de pression hybrides
-         if (guide_plevs==1) then
-           write(*,*)trim(modname)//' Reading nudging on model levels'
+         if (guide_plevs==1) THEN
+           WRITE(*,*)trim(modname)//' Reading nudging on model levels'
            rcode = nf90_open('apbp.nc', nf90_nowrite, ncidpl)
            IF (rcode/=nf90_noerr) THEN
@@ -1939,8 +1939,8 @@
              CALL abort_gcm(modname,abort_message,1)
            ENDIF
-           write(*,*)trim(modname)//'ncidpl,varidap',ncidpl,varidap
+           WRITE(*,*)trim(modname)//'ncidpl,varidap',ncidpl,varidap
          endif
 ! Pression
-         if (guide_plevs==2) then
+         if (guide_plevs==2) THEN
            rcode = nf90_open('P.nc', nf90_nowrite, ncidp)
            IF (rcode/=nf90_noerr) THEN
@@ -1953,9 +1953,9 @@
              CALL abort_gcm(modname,abort_message,1)
            ENDIF
-           write(*,*)trim(modname)//' ncidp,varidp',ncidp,varidp
+           WRITE(*,*)trim(modname)//' ncidp,varidp',ncidp,varidp
            if (ncidpl==-99) ncidpl=ncidp
          endif
 ! Vent zonal
-         if (guide_u) then
+         if (guide_u) THEN
            rcode = nf90_open('u.nc', nf90_nowrite, ncidu)
            IF (rcode/=nf90_noerr) THEN
@@ -1968,10 +1968,10 @@
              CALL abort_gcm(modname,abort_message,1)
            ENDIF
-           write(*,*)trim(modname)//' ncidu,varidu',ncidu,varidu
+           WRITE(*,*)trim(modname)//' ncidu,varidu',ncidu,varidu
            if (ncidpl==-99) ncidpl=ncidu
          endif
 
 ! Vent meridien
-         if (guide_v) then
+         if (guide_v) THEN
            rcode = nf90_open('v.nc', nf90_nowrite, ncidv)
            IF (rcode/=nf90_noerr) THEN
@@ -1984,9 +1984,9 @@
              CALL abort_gcm(modname,abort_message,1)
            ENDIF
-           write(*,*)trim(modname)//' ncidv,varidv',ncidv,varidv
+           WRITE(*,*)trim(modname)//' ncidv,varidv',ncidv,varidv
            if (ncidpl==-99) ncidpl=ncidv
         endif
 ! Temperature
-         if (guide_T) then
+         if (guide_T) THEN
            rcode = nf90_open('T.nc', nf90_nowrite, ncidt)
            IF (rcode/=nf90_noerr) THEN
@@ -1999,9 +1999,9 @@
              CALL abort_gcm(modname,abort_message,1)
            ENDIF
-           write(*,*)trim(modname)//' ncidT,varidT',ncidt,varidt
+           WRITE(*,*)trim(modname)//' ncidT,varidT',ncidt,varidt
            if (ncidpl==-99) ncidpl=ncidt
          endif
 ! Humidite
-         if (guide_Q) then
+         if (guide_Q) THEN
            rcode = nf90_open('hur.nc', nf90_nowrite, ncidQ)
            IF (rcode/=nf90_noerr) THEN
@@ -2014,9 +2014,9 @@
              CALL abort_gcm(modname,abort_message,1)
            ENDIF
-           write(*,*)trim(modname)//' ncidQ,varidQ',ncidQ,varidQ
+           WRITE(*,*)trim(modname)//' ncidQ,varidQ',ncidQ,varidQ
            if (ncidpl==-99) ncidpl=ncidQ
          endif
 ! Pression de surface
-         if ((guide_P).OR.(guide_plevs==1)) then
+         if ((guide_P).OR.(guide_plevs==1)) THEN
            rcode = nf90_open('ps.nc', nf90_nowrite, ncidps)
            IF (rcode/=nf90_noerr) THEN
@@ -2029,14 +2029,14 @@
              CALL abort_gcm(modname,abort_message,1)
            ENDIF
-           write(*,*)trim(modname)//' ncidps,varidps',ncidps,varidps
+           WRITE(*,*)trim(modname)//' ncidps,varidps',ncidps,varidps
          endif
 ! Coordonnee verticale
-         if (guide_plevs==0) then
+         if (guide_plevs==0) THEN
            rcode = nf90_inq_varid(ncidpl, 'LEVEL', varidpl)
            IF (rcode/=0) rcode = nf90_inq_varid(ncidpl, 'PRESSURE', varidpl)
-           write(*,*)trim(modname)//' ncidpl,varidpl',ncidpl,varidpl
+           WRITE(*,*)trim(modname)//' ncidpl,varidpl',ncidpl,varidpl
          endif
 ! Coefs ap, bp pour calcul de la pression aux differents niveaux
-         if (guide_plevs==1) then
+         if (guide_plevs==1) THEN
              status=nf90_put_var(ncidpl,varidap,apnc,[1],[nlevnc])
              status=nf90_put_var(ncidpl,varidbp,bpnc,[1],[nlevnc])
@@ -2066,5 +2066,5 @@
      IF (invert_y) start(2)=jjp1-jje_u+1
 !  Pression
-     if (guide_plevs==2) then
+     if (guide_plevs==2) THEN
          status=nf90_put_var(ncidp,varidp,zu,start,count)
          DO i=1,iip1
@@ -2079,5 +2079,5 @@
      endif
 !  Vent zonal
-     if (guide_u) then
+     if (guide_u) THEN
          status=nf90_put_var(ncidu,varidu,zu,start,count)
          DO i=1,iip1
@@ -2094,5 +2094,5 @@
 
 !  Temperature
-     if (guide_T) then
+     if (guide_T) THEN
          status=nf90_put_var(ncidt,varidt,zu,start,count)
          DO i=1,iip1
@@ -2108,5 +2108,5 @@
 
 !  Humidite
-     if (guide_Q) then
+     if (guide_Q) THEN
          status=nf90_put_var(ncidQ,varidQ,zu,start,count)
          DO i=1,iip1
@@ -2122,5 +2122,5 @@
 
 !  Vent meridien
-     if (guide_v) then
+     if (guide_v) THEN
          start(2)=jjb_v
          count(2)=jjnb_v
@@ -2140,5 +2140,5 @@
 
 !  Pression de surface
-     if ((guide_P).OR.(guide_plevs==1))  then
+     if ((guide_P).OR.(guide_plevs==1))  THEN
          start(2)=jjb_u
          start(3)=timestep
@@ -2168,5 +2168,5 @@
     USE comconst_mod, ONLY: pi
     USE comvert_mod, ONLY: presnivs
-    use netcdf95, only: nf95_def_var, nf95_put_var
+    use netcdf95, ONLY: nf95_def_var, nf95_put_var
 
     IMPLICIT NONE
@@ -2201,5 +2201,5 @@
 !$OMP BARRIER
 
-!    write(*,*)trim(modname)//' after allocation ',hsize,vsize
+!    WRITE(*,*)trim(modname)//' after allocation ',hsize,vsize
 
     IF (hsize==jjp1) THEN
@@ -2209,5 +2209,5 @@
     ENDIF
 
-!    write(*,*)trim(modname)//' after gather '
+!    WRITE(*,*)trim(modname)//' after gather '
     CALL Gather_field_u(alpha_u,zu,1)
     CALL Gather_field_u(alpha_t,zt,1)
@@ -2348,5 +2348,5 @@
     END SELECT
 
-!    if (varname=="ua") then
+!    if (varname=="ua") THEN
 !    CALL dump2d(iip1,jjp1,field_glo,'ua gui1 1ere couche ')
 !    CALL dump2d(iip1,jjp1,field_glo(:,:,llm),'ua gui1 llm ')
@@ -2374,5 +2374,5 @@
     do l=1,nl
         do i=2,iim-1
-            if(abs(x(i,l))>1.e10) then
+            IF(abs(x(i,l))>1.e10) THEN
                zz=0.5*(x(i-1,l)+x(i+1,l))
               PRINT*,'correction ',i,l,x(i,l),zz
@@ -2409,5 +2409,5 @@
     CALL barrier
 
-    if (mpi_rank==0) then
+    if (mpi_rank==0) THEN
        CALL dump2d(iip1,jjp1,var_glob,varname)
     endif
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/iniacademic_loc.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/iniacademic_loc.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/iniacademic_loc.F90	(revision 5116)
@@ -7,6 +7,6 @@
   USE infotrac,    ONLY: nqtot, niso, iqIsoPha, tracers, getKey, isoName
   USE control_mod, ONLY: day_step,planet_type
-  use exner_hyb_m, only: exner_hyb
-  use exner_milieu_m, only: exner_milieu
+  use exner_hyb_m, ONLY: exner_hyb
+  use exner_milieu_m, ONLY: exner_milieu
   USE parallel_lmdz, ONLY: ijb_u, ije_u, ijb_v, ije_v
   USE IOIPSL, ONLY: getin
@@ -64,5 +64,5 @@
   INTEGER i,j,l,lsup,ij, iq, iName, iPhase, iqParent
 
-  integer :: nid_relief,varid,ierr
+  INTEGER :: nid_relief,varid,ierr
   real, dimension(iip1,jjp1) :: relief
 
@@ -80,12 +80,12 @@
   LOGICAL,PARAMETER :: tnat1=.TRUE.
   
-  character(len=*),parameter :: modname="iniacademic"
-  character(len=80) :: abort_message
+  CHARACTER(LEN=*),parameter :: modname="iniacademic"
+  CHARACTER(LEN=80) :: abort_message
 
   ! Sanity check: verify that options selected by user are not incompatible
-  if ((iflag_phys==1).and. .not. read_start) then
-    write(lunout,*) trim(modname)," error: if read_start is set to ", &
+  if ((iflag_phys==1).and. .not. read_start) THEN
+    WRITE(lunout,*) trim(modname)," error: if read_start is set to ", &
     " false then iflag_phys should not be 1"
-    write(lunout,*) "You most likely want an aquaplanet initialisation", &
+    WRITE(lunout,*) "You most likely want an aquaplanet initialisation", &
     " (iflag_phys >= 100)"
     CALL abort_gcm(modname,"incompatible iflag_phys==1 and read_start==.FALSE.",1)
@@ -114,5 +114,5 @@
   ang0       = 0.
 
-  if (llm == 1) then
+  if (llm == 1) THEN
      ! specific initializations for the shallow water case
      kappa=1
@@ -173,5 +173,5 @@
 
      CALL pression ( ip1jmp1, ap, bp, ps_glo, p       )
-     if (pressure_exner) then
+     if (pressure_exner) THEN
        CALL exner_hyb( ip1jmp1, ps_glo, p, pks, pk )
      else
@@ -181,7 +181,7 @@
   ENDIF
 
-  if (llm == 1) then
+  if (llm == 1) THEN
      ! initialize fields for the shallow water case, if required
-     if (.not.read_start) then
+     if (.not.read_start) THEN
         phis(ijb_u:ije_u)=0.
         q(ijb_u:ije_u,1:llm,1:nqtot)=0
@@ -190,5 +190,5 @@
   endif
 
-  academic_case: if (iflag_phys >= 2) then
+  academic_case: if (iflag_phys >= 2) THEN
      ! initializations
 
@@ -258,5 +258,5 @@
            tetajl(j,l)=teta0-delt_y*ddsin*ddsin+eps*ddsin &
                 -delt_z*(1.-ddsin*ddsin)*log(zsig)
-           if (planet_type=="giant") then
+           if (planet_type=="giant") THEN
              tetajl(j,l)=teta0+(delt_y*                   &
                 ((sin(rlatu(j)*3.14159*eps+0.0001))**2)   &
@@ -295,5 +295,5 @@
 
         ! winds
-        if (ok_geost) then
+        if (ok_geost) THEN
            CALL ugeostr(phi,ucov_glo)
         else
@@ -303,5 +303,5 @@
 
         ! bulk initialization of tracers
-        if (planet_type=="earth") then
+        if (planet_type=="earth") THEN
            ! Earth: first two tracers will be water
            do iq=1,nqtot
@@ -317,8 +317,8 @@
               iqParent = tracers(iq)%iqParent
               IF(tracers(iq)%iso_iZone == 0) THEN
-                 if (tnat1) then
+                 if (tnat1) THEN
                          tnat=1.0
                          alpha_ideal=1.0
-                         write(*,*) 'Attention dans iniacademic: alpha_ideal=1'
+                         WRITE(*,*) 'Attention dans iniacademic: alpha_ideal=1'
                  else
                     IF(getKey('tnat', tnat, isoName(iName)) .OR. getKey('alpha', alpha_ideal, isoName(iName))) &
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/initdynav_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/initdynav_loc.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/initdynav_loc.f90	(revision 5116)
@@ -52,18 +52,18 @@
   !
   integer(kind=4) day0, anne0
-  real :: tstep, t_ops, t_wrt
+  REAL :: tstep, t_ops, t_wrt
 
   ! This routine needs IOIPSL
   !   Variables locales
   !
-  integer :: tau0
-  real :: zjulian
-  integer :: iq
-  real :: rlong(iip1,jjp1), rlat(iip1,jjp1)
-  integer :: uhoriid, vhoriid, thoriid
-  integer :: zvertiid,zvertiidv,zvertiidu
-  integer :: ii,jj
-  integer :: zan, dayref
-  integer :: jjb,jje,jjn
+  INTEGER :: tau0
+  REAL :: zjulian
+  INTEGER :: iq
+  REAL :: rlong(iip1,jjp1), rlat(iip1,jjp1)
+  INTEGER :: uhoriid, vhoriid, thoriid
+  INTEGER :: zvertiid,zvertiidv,zvertiidu
+  INTEGER :: ii,jj
+  INTEGER :: zan, dayref
+  INTEGER :: jjb,jje,jjn
 
   ! definition du domaine d'ecriture pour le rebuild
@@ -278,3 +278,3 @@
   CALL histend(histuaveid)
   CALL histend(histvaveid)
-end subroutine initdynav_loc
+END SUBROUTINE initdynav_loc
